<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: rcv_pckt_s_XGMII Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rcv_pckt_s_XGMII Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for rcv_pckt_s_XGMII:</div>
<div class="dyncontent">
<div class="center"><img src="classrcv__pckt__s__XGMII__inherit__graph.png" border="0" usemap="#rcv__pckt__s__XGMII_inherit__map" alt="Inheritance graph"/></div>
<map name="rcv__pckt__s__XGMII_inherit__map" id="rcv__pckt__s__XGMII_inherit__map">
<area shape="rect" id="node4" href="classSLINK__opt__XGMII.html" title="SLINK_opt_XGMII" alt="" coords="48,155,181,181"/><area shape="rect" id="node2" href="classcrc__gen__32b.html" title="crc_gen_32b" alt="" coords="5,5,107,32"/><area shape="rect" id="node3" href="classresync.html" title="resync(2)" alt="" coords="132,5,215,32"/><area shape="rect" id="node5" href="classDaqLSCXG10G.html" title="DaqLSCXG10G" alt="" coords="56,229,173,256"/><area shape="rect" id="node6" href="classDAQLSCXG__if.html" title="DAQLSCXG_if" alt="" coords="59,304,169,331"/><area shape="rect" id="node7" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="69,379,160,405"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classrcv__pckt__s__XGMII-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classrcv__pckt__s__XGMII_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a14c65f59e4293bbc6ce31dac9a613c26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14c65f59e4293bbc6ce31dac9a613c26"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a14c65f59e4293bbc6ce31dac9a613c26">reset_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a78b3fb6d4a28e9ab4e6561483f591ca2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78b3fb6d4a28e9ab4e6561483f591ca2"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a78b3fb6d4a28e9ab4e6561483f591ca2">reset_clkT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a208a2e22613c8a98fc4ef524e81573e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a208a2e22613c8a98fc4ef524e81573e3"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a208a2e22613c8a98fc4ef524e81573e3">Greset_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a08a128f6f94f82b9a7c0c802ed39848e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08a128f6f94f82b9a7c0c802ed39848e"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a08a128f6f94f82b9a7c0c802ed39848e">Greset_clkT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a00788a4dd1b21d2f37a4b9f255b98627"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00788a4dd1b21d2f37a4b9f255b98627"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a00788a4dd1b21d2f37a4b9f255b98627">clock</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaef331469c72da7dbb0dd1c38af9dc80"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaef331469c72da7dbb0dd1c38af9dc80"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#aaef331469c72da7dbb0dd1c38af9dc80">clock_t</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4fc5f9f9b197d1508c56a4013114cbdd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fc5f9f9b197d1508c56a4013114cbdd"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a4fc5f9f9b197d1508c56a4013114cbdd">datai</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b44cb5797a98855242655ea5c020e74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b44cb5797a98855242655ea5c020e74"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a5b44cb5797a98855242655ea5c020e74">k_byte</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1e75b9167a63a6fdcb5dabecf62158bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e75b9167a63a6fdcb5dabecf62158bc"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a1e75b9167a63a6fdcb5dabecf62158bc">error_gen</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1cc0413c6dcddbf90f439ded97ad7c6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cc0413c6dcddbf90f439ded97ad7c6e"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a1cc0413c6dcddbf90f439ded97ad7c6e">cmd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ace0e212e6b119220bcdee4a17aa58423"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace0e212e6b119220bcdee4a17aa58423"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#ace0e212e6b119220bcdee4a17aa58423">data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acbfa8085545fa6413911ef623d5aa791"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbfa8085545fa6413911ef623d5aa791"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#acbfa8085545fa6413911ef623d5aa791">ena_cmd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2ee970f7717f6bd647e711a97b9fa6c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ee970f7717f6bd647e711a97b9fa6c0"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a2ee970f7717f6bd647e711a97b9fa6c0">status</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8b1215d143527d37ff0fa81f90ad43ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b1215d143527d37ff0fa81f90ad43ec"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a8b1215d143527d37ff0fa81f90ad43ec">seqnb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">30</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a764f988fd15fa687a61b8ccd605074dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a764f988fd15fa687a61b8ccd605074dc"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a764f988fd15fa687a61b8ccd605074dc">ena_ack</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acecdafbe137f3e02251a615734b6835a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acecdafbe137f3e02251a615734b6835a"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#acecdafbe137f3e02251a615734b6835a">card_ID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0b47727ee2937748b0da781f81fce6c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b47727ee2937748b0da781f81fce6c0"></a>
<a class="el" href="classrcv__pckt__s__XGMII.html#a0b47727ee2937748b0da781f81fce6c0">cnt_pckt_rcv</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2rcv__pckt__s_8vhd_source.html#l00020">20</a> of file <a class="el" href="10Gb_2slink_2rcv__pckt__s_8vhd_source.html">rcv_pckt_s.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2rcv__pckt__s_8vhd_source.html">rcv_pckt_s.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
